document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_11300 | ---
+++
@@ -4,6 +4,15 @@
ln -s mopidy_iris/static public_html
fi
-cp src/index.html mopidy_iris/static/index.html
+# copy assets
cp src/.htaccess mopidy_iris/static/.htaccess
rsync -avr src/assets/ mopidy_iris/static/assets/
+
+# create HTML files
+cp src/index.html mopidy_iris/static/index.html
+cp src/index.... | bash |
d_bash_11301 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/sh
-curl -s -XPUT http://127.0.0.1:9200/_snapshot/{{ snapshot_name }}/snapshot_`date +'%y%m%d_%H%M'` | jq -e '.accepted' > /dev/null
+curl -s -XPUT http://127.0.0.1:9200/_snapshot/{{ snapshot_name }}/snapshot_`date +'%y%m%d_%H%M'` -H 'Content-Type: application/json' -d '{"indices": "... | bash |
d_bash_11302 | ---
+++
@@ -23,3 +23,4 @@
mingw-w64-x86_64-python-cairo \
mingw-w64-x86_64-python-pip \
mingw-w64-x86_64-python-setuptools \
+ mingw-w64-x86_64-python-wheel \ | bash |
d_bash_11303 | ---
+++
@@ -4,6 +4,8 @@
find "$1" -name "*.cpp" -o -name "*.c" -o -name "*.h" | while read fn; do
echo "$fn"
clang-format -style=file -i "$fn"
+ # Clean trailing whitespace.
+ sed -i 's/[ \t]*$//' "$fn"
done
}
( | bash |
d_bash_11304 | ---
+++
@@ -2,6 +2,9 @@
#
# idgames.sh - simple idgames API ping script
+#
+# Usage
+# ./idgames.sh [db]ping
#
base='http://www.doomworld.com/idgames/api/api.php'
@@ -10,12 +13,14 @@
function ping ()
{
- curl -X GET "${base}${action}ping${json}";
+ uri="${base}${action}${1}${json}";
+ echo "Acc... | bash |
d_bash_11305 | ---
+++
@@ -13,8 +13,17 @@
fi
# Install fastlane
-echo "gem install fastlane --no-document"
-gem install fastlane --no-document
+if [ -f './Gemfile' ] ; then
+ echo
+ echo "Found 'Gemfile' - using it..."
+ bundle install --verbose
+ echo
+ echo "Fastlane version:"
+ bundle exec fastlane --version
+else
+ e... | bash |
d_bash_11306 | ---
+++
@@ -3,8 +3,8 @@
service 'fullerite' stop
service 'fullerite_diamond_server' stop
-if [ "$(id 'fullerite')" ]; then
- userdel 'fullerite'
+if [ "$(id 'fuller')" ]; then
+ userdel 'fuller'
fi
rm -rf /var/log/fullerite | bash |
d_bash_11307 | ---
+++
@@ -9,7 +9,7 @@
echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.14%2B9/OpenJDK11U-jdk_x64_linux_hotspot_11.0.14_9.tar.gz"
;;
java17)
- echo "https://github.com/adoptium/temurin17-binaries/releases/download/jdk-17.0.1%2B12/OpenJDK17U-jdk_x64_linux_hotspot_17.0.1_12.tar... | bash |
d_bash_11308 | ---
+++
@@ -11,9 +11,25 @@
apt-get update
-apt-get install openjdk-8-jdk -y
+apt-get install openjdk-8-jdk openjdk-8-jre openjdk-8-jre-headless openjdk-8-jdk-headless -y
export JAVA_HOME=/usr/lib/jvm/java-1.8.0-openjdk-amd64
apt-get install elasticsearch -y
-echo "http.host: 0.0.0.0" > /etc/elasticsearch/ela... | bash |
d_bash_11309 | ---
+++
@@ -1,3 +1,4 @@
+include base.comparator.BaseComparator
include string.util.StringUtil
ArrayUtil(){
@@ -47,5 +48,20 @@
echo ${maxLength}
}
+ strip(){
+ array=(${@})
+ entry=${array[-1]}
+
+ newArray=()
+
+ for arrayEntry in ${array[@]}; do
+ if [[ ! $(BaseComparator isEqual ${entry} ${arrayEn... | bash |
d_bash_11310 | ---
+++
@@ -16,4 +16,6 @@
./bin/run_management_command za_hansard_q_and_a_scraper --run-all-steps
# Run the committee minutes scraper and imports
-./bin/run_management_command za_hansard_pmg_api_scraper --scrape --save-json --import-to-sayit --commit
+# FIXME: disabled until a name resolution problem (speeches ba... | bash |
d_bash_11311 | ---
+++
@@ -2,8 +2,8 @@
if [ "$TRAVIS_MCSERVER_BUILD_TYPE" == "COVERAGE" ]
then
- find tests -type f -name '*.gcda' -exec 'cp {} $(dirname {})/../$(basename {})'
- coveralls --exclude lib --exclude tests
+ find tests -type f -name '*.gcda' -exec cp {} $(dirname {})/../$(basename {})
+ coveralls --exclude lib --e... | bash |
d_bash_11312 | ---
+++
@@ -7,5 +7,5 @@
function worker_info()
{
~/code/ec2.py --refresh-cache | \
- jq "._meta.hostvars as \$hostvars | .tag_Name_ingest_${DATA_BRANCH}_worker[] |\$hostvars[.] | [.ec2_private_ip_address, .ec2_id, .ec2_state, .ec2_instance_type, .ec2_instanceLifecycle, .ec2_launch_time]"
+ jq "._meta.hostvars a... | bash |
d_bash_11313 | ---
+++
@@ -5,7 +5,9 @@
echo "Running before apache script"
cd /var/www/html
+
+echo "Running composer install"
composer install
-cd /var/www/html/web
+echo "Running search replace with wp-cli"
wp --allow-root --all-tables search-replace $WP_HOME $VIRTUAL_HOST | bash |
d_bash_11314 | ---
+++
@@ -8,7 +8,7 @@
#
configure_rootfs_build()
{
- update_use 'dev-java/icedtea-bin' '-awt'
+ update_use 'dev-java/icedtea-bin' '-webstart'
# skip python and nss
provide_package dev-lang/python
provide_package dev-libs/nss | bash |
d_bash_11315 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -l
export PS4='$ '
echo -n "Hostname: "
hostname | bash |
d_bash_11316 | ---
+++
@@ -1,11 +1,11 @@
#!/usr/bin/env bash
for i in {1..100}; do
- if [[ $(( $i % 15 )) -eq 0 ]]; then
+ if (( $i % 15 == 0 )); then
echo "fizzbuzz"
- elif [[ $(( $i % 3 )) -eq 0 ]]; then
+ elif (( $i % 3 == 0 )); then
echo "fizz"
- elif [[ $(( $i % 5 )) -eq 0 ]]; then
+ elif (( $i % 5 == 0 )); then
e... | bash |
d_bash_11317 | ---
+++
@@ -11,8 +11,14 @@
fi
export JAVA_HOME=$(/usr/libexec/java_home -v "$@")
export PATH=$JAVA_HOME/bin:$PATH
+ else
+ echo "No argument (i.e. java version e.g. 1.7) specified"
fi
}
function removeJavaFromPath() {
- export PATH="$(echo "$PATH" | sed -E -e "s;:$1;;" -e "s;$1:?;;")"
+ if ... | bash |
d_bash_11318 | ---
+++
@@ -20,6 +20,7 @@
source $fn
+echo "Downloading catalogs (this could take a few minutes)..."
apt_update
# Install additional packages | bash |
d_bash_11319 | ---
+++
@@ -8,6 +8,7 @@
cat << HERE | $exe
read $i
parse
+. | xgrep "//ebnf[blockSuffix/ebnfSuffix/QUESTION and block/altList[@ChildCount = 1]/alternative[@ChildCount = 1]/element/ebnf/blockSuffix/ebnfSuffix/PLUS]" | text line-number
HERE
done
| bash |
d_bash_11320 | ---
+++
@@ -11,7 +11,7 @@
fi
while ((1))
do
- ( ${ping} -q -c 3 -t 3 "${host}" || ./vpnc connect "${setting}" ) > /dev/null 2>& 1
+ ( ${ping} -q -c 3 "${host}" || ./vpnc connect "${setting}" ) > /dev/null 2>& 1
if [ "x$1" = "x-once" ]; then
break;
fi | bash |
d_bash_11321 | ---
+++
@@ -9,6 +9,7 @@
ol | amzn)
cp "$(cd "$(dirname "$0")/.." && pwd)/bin/shellcheck" /usr/local/bin/shellcheck
chmod +x /usr/local/bin/shellcheck
+ /usr/local/bin/shellcheck -V
;;
ubuntu)
apt-get install -y shellcheck | bash |
d_bash_11322 | ---
+++
@@ -8,5 +8,5 @@
pushd "build-ios"
export CC="${PLATFORM_IOS}"/Developer/usr/bin/gcc-4.2
export CFLAGS="-arch armv6 -isysroot ${PLATFORM_IOS}/Developer/SDKs/iPhoneOS${SDK_IOS_VERSION}.sdk/"
-../configure --host=armv6-apple-darwin && make
+../configure --host=arm-apple-darwin10 && make
popd | bash |
d_bash_11323 | ---
+++
@@ -15,6 +15,8 @@
# Build client if needed.
if [[ ! -e "web/build/" ]]; then
npm run build
+ rm web/build/*-manifest.*
+ rm web/build/service-worker.js
find build/** -type f | xargs -I{} brotli -Z {}
fi
| bash |
d_bash_11324 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
set -e
-./configure --with-curl=no --disable-db --with_expat=no
+./autogen.sh --with-curl=no --disable-db --with_expat=no
make
cd tests
make imap-sample | bash |
d_bash_11325 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/sh
-# last updated : 2017/10/27 23:49:53 JST
+# last updated : 2018/01/31 17:38:05 JST
#
# 2chproxy.pl を起動してからJDを起動する。
#
@@ -26,6 +26,12 @@
exit 1;
fi
+# 二重起動チェック
+if [ $$ != $(pgrep -fo $0) ]; then
+ echo "すでに $(basename $0) が起動しています。"
+ exit 1;
+fi
+
pgrep 2chproxy.... | bash |
d_bash_11326 | ---
+++
@@ -21,13 +21,15 @@
then
# Pull-request branch
REPO=${TRAVIS_PULL_REQUEST_SLUG}
+ BRANCH=${TRAVIS_PULL_REQUEST_BRANCH}
else
# Push build.
REPO=${TRAVIS_REPO_SLUG}
+ BRANCH=${TRAVIS_BRANCH}
fi
# Modify the oss-fuzz Dockerfile so that we're checking out the current branch on trav... | bash |
d_bash_11327 | ---
+++
@@ -28,10 +28,10 @@
-E goconst \
-E gofmt \
-E goimports \
+ -E golint \
-E interfacer \
-E misspell \
-E unconvert \
-E unparam \
-D deadcode \
- -D golint \
-D megacheck | bash |
d_bash_11328 | ---
+++
@@ -1,12 +1,15 @@
#!/bin/sh
set -o errexit
-if [ $# -ne 1 ]
- then
- echo "Usage: run-seyren.sh GRAPHITE_URL"
+if [ -z ${GRAPHITE_URL} ]
+ then
+ if [ $# -ne 1 ]
+ then
+ echo "Usage: run-seyren.sh GRAPHITE_URL"
+ fi
+ export GRAPHITE_URL=$1
fi
-export GRAPHITE_U... | bash |
d_bash_11329 | ---
+++
@@ -13,8 +13,13 @@
}
with-brew-env () {
- PKG_CONFIG_PATH="$PKG_CONFIG_PATH $HOME/homebrew/opt/libxml2/lib/pkgconfig" \
- LDFLAGS="$LDFLAGS -L$HOME/homebrew/opt/libxml2/lib -L$HOME/homebrew/opt/readline/lib" \
- CPPFLAGS="$CPPFLAGS -I$HOME/homebrew/opt/libxml2/include -I$HOME/homebrew/opt/readline/... | bash |
d_bash_11330 | ---
+++
@@ -3,5 +3,5 @@
cd blended-parent
mvn clean install
cd ..
-mvn clean install -P parent | grep -v "Download" | grep -v "longer than 100"
-mvn clean install -P build,assembly | grep -v "Download" | grep -v "longer than 100"
+mvn clean install -P parent | grep -v "Download" | grep -v "longer than 100" ; test ... | bash |
d_bash_11331 | ---
+++
@@ -2,17 +2,21 @@
go version
+rm -rf src pkg bin
+
export CURRENT_BUILD_PATH=$(pwd)
export GOPATH=$CURRENT_BUILD_PATH
export PKG=github.com/itchio/wharf
-
export PATH=$PATH:$GOPATH/bin
mkdir -p src/$PKG
rsync -a --exclude 'src' . src/$PKG
-go get -v -t $PKG/...
-go list -f '{{if gt (len .TestGo... | bash |
d_bash_11332 | ---
+++
@@ -25,3 +25,8 @@
# Remove temp file
##
find . -type f -name '*.go-e' -delete
+
+##
+# run go fmt
+##
+go fmt ./... | bash |
d_bash_11333 | ---
+++
@@ -2,14 +2,14 @@
set -e
if [ "$#" -eq 0 -o "${1:0:1}" = '-' ]; then
- set -- docker --daemon \
+ set -- docker daemon \
--host=unix:///var/run/docker.sock \
--host=tcp://0.0.0.0:2375 \
--storage-driver=vfs \
"$@"
fi
-if [ "$1" = 'docker' ]; then
+if [ "$1" = 'docker' -a "$2" = 'daemon' ]; ... | bash |
d_bash_11334 | ---
+++
@@ -3,10 +3,10 @@
set -u
# rm -rfv ./elpa ./elisp
-rm -fv ./load-path.el
emacs --batch -l ~/.emacs.d/package-install.el
+rm -fv ./load-path.el
for file in $(find ./elisp -mindepth 1 -maxdepth 1 -type d)
do
echo "(add-to-list 'load-path (locate-user-emacs-file \"${file#./}\"))" >> ./load-path.e... | bash |
d_bash_11335 | ---
+++
@@ -3,7 +3,7 @@
set -e
POOL_DIR="$( cd "$1" && pwd )"
-PRODUCT="splunk"
+PRODUCT="splunk-firehose-nozzle"
BIN_DIR="$( cd "${TILE_GEN_DIR}/bin" && pwd )"
| bash |
d_bash_11336 | ---
+++
@@ -2,20 +2,19 @@
case "`uname -s`" in
Darwin*)
- if [ -x /usr/local/bin/brew ]; then
+ if [ -x /opt/local/bin/port ]; then
+ echo "I am a Mac. Using macports to install stuff with sudo"
+ sudo port install glib2 glib-networking libsoup yajl libusb libyaml yajl python36 py36-pip c... | bash |
d_bash_11337 | ---
+++
@@ -1,4 +1,12 @@
#!/bin/sh
+
+case "$1" in
+ 8) # add all git packages
+ yum install -y \
+ git-all
+ exit 0
+ ;;
+esac
curldev=libcurl-devel.x86_64
[ $1 -eq 5 ] && curldev=curl-devel.x86_64 | bash |
d_bash_11338 | ---
+++
@@ -26,3 +26,7 @@
curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
apt-get install -y nodejs > /dev/null 2>&1
npm install --global gulp-cli yarn
+
+# Setup task scheduler cron
+line="* * * * * php /path/to/artisan schedule:run >> /dev/null 2>&1"
+(crontab -u vagrant -l 2>/dev/null; echo "$lin... | bash |
d_bash_11339 | ---
+++
@@ -12,7 +12,7 @@
echo "K3_CXXFLAGS: ${K3_CXXFLAGS}"
dist/build/k3/k3 \
- -I lib/k3 -I examples/sql -I examples/distributed/amplab/compact \
+ -I lib/k3 -I examples/sql \
--mpargs package-db=$SNDPATH --mpsearch src \
compile \
$CXX -l cpp \ | bash |
d_bash_11340 | ---
+++
@@ -8,24 +8,24 @@
# 2. WORK_IDEA_HOME points to the directory of IntelliJ IDEA build you want to upgrade
# 3. DEV_IDEA_HOME points to the directory of the project you built at step 1
# 4. You quit IntelliJ IDEA
-#
-if [ -z "$WORK_IDEA_HOME" ]; then
- echo "WORK_IDEA_HOME must be defined and point to bu... | bash |
d_bash_11341 | ---
+++
@@ -1,6 +1,6 @@
TARGET=${1:-$HOME}
cd $TARGET
-curl https://api.github.com/users/boppreh/repos | jq '.[] | .ssh_url' | xargs -I{} git clone {}
+curl https://api.github.com/users/boppreh/repos?per_page=1000 | jq '.[] | .ssh_url' | xargs -I{} git clone {}
echo 'To clone private repos, enter your access token... | bash |
d_bash_11342 | ---
+++
@@ -33,7 +33,7 @@
# Install brew formulae
log "Installing brew formulae..."
-grep -v '^#' "$workenv_path"/setup.d/brew_formulae | xargs brew install --force-bottle
+grep -v '^#' "$workenv_path"/setup.d/brew_packages | xargs brew install --force-bottle
# Update outdated brew formulae | bash |
d_bash_11343 | ---
+++
@@ -36,7 +36,7 @@
# at least one space behind them and after them.
# The equals sign cannot be adjacent to the name.
- if (grep -q "$var[[:space:]]*=" $dir/$probin); then
+ if (grep -q "[[:space:]]$var[[:space:]]*=" $dir/$probin); then
sed -i "s/ $var .*=.*/ $var = ${!var}/g" $dir/$probin
... | bash |
d_bash_11344 | ---
+++
@@ -19,7 +19,9 @@
then
VERSIONOUT=`sed -i -e "s/\(__version__ = \).*/\1'${VERSION}'/" ${ST2CLIENT_INIT}`
else
- echo ${OUTPUT}
+ echo "Failed setting version in ${ST2CLIENT_INIT}"
+ cat ${OUTPUT}
+ rm ${OUTPUT}
exit 1
fi
if [[ $? == 0 ]]
@@ -34,6 +36,7 @@
exit 2
f... | bash |
d_bash_11345 | ---
+++
@@ -7,7 +7,6 @@
ckpt_file=c2f_final.tgz
download_from_gcs $ckpt_file
-curl -O http://lsz-gpu-01.cs.washington.edu/resources/coref/$ckpt_file
mkdir -p logs
tar -xzvf $ckpt_file -C logs
rm $ckpt_file | bash |
d_bash_11346 | ---
+++
@@ -22,4 +22,6 @@
cd ~/.minetest/mods
#Run an external script to find out which files to rename and do it.
-sh ./rename.sh
+if [[ -f ./rename.sh ]]; then
+ exec ./rename.sh
+fi | bash |
d_bash_11347 | ---
+++
@@ -7,5 +7,6 @@
# echo ".git missing, aborting..."
# exit 1
#}
-git --no-pager log --pretty=format:"%h %ad | %s%d [%an]" --date=short --decorate
+git --no-pager log --pretty=format:"%h: %an, %ad : %s" --stat
+#git --no-pager log --pretty=format:"%h %ad | %s%d [%an]" --date=short --decorate
echo | bash |
d_bash_11348 | ---
+++
@@ -1,7 +1,7 @@
#compdef vagga
#autoload
-_cmds () {
+_list () {
local cmds listopts
# Show hidden options only when underscore is typed
@@ -12,16 +12,21 @@
# Check if in folder with correct vagga.yaml file
vagga _list 1>/dev/null 2>/dev/null
if [ $? -eq 0 ]; then
- IFS=$... | bash |
d_bash_11349 | ---
+++
@@ -1,14 +1,17 @@
#!/bin/bash
-
-# Update data
-echo "Synchronizing downloads to make sure we have the latest..."
-(cd ../download && ./download.sh)
if [ $# -eq 0 ]; then
echo "You must pass in the number of API calls you want to use."
exit 1
fi
+# Update data
+echo "Synchronizing downloads to ma... | bash |
d_bash_11350 | ---
+++
@@ -2,4 +2,4 @@
WORKSPACE=$1
cd $WORKSPACE
-nosetests test/unit/connectors/*.py test/unit/*.py test/functional/*.py -v --stop --with-xunit --with-timer --timer-no-color --with-coverage --cover-erase --cover-html --cover-package=IM
+nosetests test/unit/connectors/*.py test/unit/*.py test/functional/*.py -v... | bash |
d_bash_11351 | ---
+++
@@ -5,11 +5,6 @@
WEBDAV_USER="user"
WEBDAV_PASS="pass"
WEBDAV_MOUNT="/tmp"
-
-# Disable Gzip as it does not work on Windows
-cat <<EOT > "/srv/vhost/${WEBDAV_DOMAIN}"
-gzip off;
-EOT
# Install WebDAV
echo ">> Running WebDAV..."
@@ -21,7 +16,7 @@
-e "PASSWORD=$WEBDAV_PASS" \
-e "VIRTUAL_HOST=$... | bash |
d_bash_11352 | ---
+++
@@ -9,10 +9,10 @@
scriptroot="$( cd -P "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
reporoot="$(dirname "$(dirname "$scriptroot")")"
-export DotNetBuildFromSource='true'
-
# Build repo tasks
"$reporoot/eng/common/build.sh" --restore --build --ci --configuration Release /p:ProjectToBuild=$reporoot/eng/t... | bash |
d_bash_11353 | ---
+++
@@ -1,14 +1,22 @@
#!/bin/bash
+_usage() {
+ echo "Available arguments:"
+ echo " 1 - Multi-master mysql configuration 1"
+ echo " 2 - Multi-master mysql configuration 2"
+ echo " S - Shell only"
+}
+
if [ -z "$1" ]; then
- echo No multi-master configuration given,
- echo dropping to shell
+ _usage
... | bash |
d_bash_11354 | ---
+++
@@ -1,5 +1,8 @@
#!/bin/bash -e
+
+if [ "`hostname | grep kesch`" != "" ] ; then
module load git/2.8.4
+fi
# First, test cosmo-pompa
git clone git@github.com:MeteoSwiss-APN/cosmo-pompa | bash |
d_bash_11355 | ---
+++
@@ -8,6 +8,7 @@
mvn clean
mvn deploy
+ rm -rf ${__dir}/repo
mkdir -p ${__dir}/repo
for path in $(find . -type d -name mvn-repo)
do | bash |
d_bash_11356 | ---
+++
@@ -2,7 +2,8 @@
set -eu -o pipefail
readonly IMAGE_NAME='shakiyam/bbs'
-readonly LATEST_IMAGE="$(docker image ls -q $IMAGE_NAME:latest)"
+LATEST_IMAGE="$(docker image ls -q $IMAGE_NAME:latest)"
+readonly LATEST_IMAGE
if [[ -n "$LATEST_IMAGE" ]]; then
docker image rm -f "$LATEST_IMAGE"
fi | bash |
d_bash_11357 | ---
+++
@@ -17,7 +17,6 @@
CMakeLists.txt
Copyright.txt
Source
- Utilities/C99
Utilities/CMakeLists.txt
Utilities/gdcmcharls
Utilities/gdcm_charls.h | bash |
d_bash_11358 | ---
+++
@@ -14,6 +14,6 @@
cd $cwd
cp -a dev $RTSTANCHION_DEST_DIR/current
cd $RTSTANCHION_DEST_DIR
-git add .
-git commit -a -m "riak_test init" --amend
+git add --all .
+git commit -a -m "riak_test init" --amend > /dev/null
| bash |
d_bash_11359 | ---
+++
@@ -10,4 +10,5 @@
unset LANCET_SHELL_HELPER
}
+compdef _lancet lancet_helper
alias lancet=lancet_helper | bash |
d_bash_11360 | ---
+++
@@ -1,7 +1,7 @@
# Symfony2 basic command completion
_symfony2_get_command_list () {
- app/console --no-ansi | sed "1,/Available commands/d" | awk '/^ [a-z]+/ { print $1 }'
+ php app/console --no-ansi | sed "1,/Available commands/d" | awk '/^ [a-z]+/ { print $1 }'
}
_symfony2 () { | bash |
d_bash_11361 | ---
+++
@@ -14,4 +14,4 @@
cp "$PWD/s3-bosh-creds/creds.yml" "${KUBO_ENVIRONMENT_DIR}"
cp "$PWD/s3-bosh-state/state.json" "${KUBO_ENVIRONMENT_DIR}"
-"${KUBO_DEPLOYMENT_DIR}/bin/destroy_bosh" "${KUBO_ENVIRONMENT_DIR}"
+"${KUBO_DEPLOYMENT_DIR}/bin/destroy_bosh" "${KUBO_ENVIRONMENT_DIR}" "$PWD/key.json" | bash |
d_bash_11362 | ---
+++
@@ -17,4 +17,8 @@
cp $ORIGIN_ROOT/html/proxy.html $DIST_ROOT/;
# replace place holder KATAS_SERVICE_DOMAIN with env var, so it can be different in dev/prod mode
-sed -i '' "s/\${TDDBIN_ROOT_DOMAIN}/$TDDBIN_ROOT_DOMAIN/g" $DIST_ROOT/proxy.html
+if [[ $OSTYPE == darwin* ]]; then
+ sed -i '' "s/\${TDDBIN_R... | bash |
d_bash_11363 | ---
+++
@@ -3,9 +3,9 @@
source $(dirname $0)/common.sh
-milestone=$( cat version/version )
+version=$( cat version/version )
if [[ $RELEASE_TYPE = "RELEASE" ]]; then
- milestone=${milestone%.RELEASE}
+ milestone=${version%.RELEASE}
fi
milestone_number=$( curl -s "https://api.github.com/repos/${GITHUB_ORGANIZA... | bash |
d_bash_11364 | ---
+++
@@ -1,9 +1,6 @@
#!/bin/bash
#
# Update Perl module dependencies to their latest versions.
-#
-# This script removes cpanfile.snapshot, Carton's cache and modules themselves so Carton is then
-# forced to check for new versions of modules.
#
if [ ! -f cpanfile ]; then
@@ -15,11 +12,6 @@
source ./script... | bash |
d_bash_11365 | ---
+++
@@ -2,12 +2,11 @@
DIGITS_PATTERN='^[0-9]+$'
if [[ "$MIN_SIZE" =~ $DIGITS_PATTERN ]]; then
- echo hello
# Size is bytes so is missing units
MIN_SIZE="$MIN_SIZE byte"
fi
-# Replace <!--abc--><!--abc--> with <!--abc-->xyz<!--abc-->
+# Replace [](key)optionalValue[](key) with [](key)newValue[](key)
... | bash |
d_bash_11366 | ---
+++
@@ -11,9 +11,9 @@
cd $PROJECT_PATH
if [[ $YARN = true ]]; then
- yarn install
+ su -c "cd $PROJECT_PATH; yarn" -s /bin/bash www-app
else
- npm install
+ su -c "cd $PROJECT_PATH; npm i" -s /bin/bash www-app
fi
su -c "cd $PROJECT_PATH; $SCRIPT" -s /bin/bash www-app | bash |
d_bash_11367 | ---
+++
@@ -2,10 +2,14 @@
set -ev
MONO_VER=3.4.0
+NUNIT_VER=2.6.3
brew update
brew install cmake
wget "http://download.mono-project.com/archive/${MONO_VER}/macos-10-x86/MonoFramework-MDK-${MONO_VER}.macos10.xamarin.x86.pkg"
sudo installer -pkg "MonoFramework-MDK-${MONO_VER}.macos10.xamarin.x86.pkg" -targe... | bash |
d_bash_11368 | ---
+++
@@ -6,6 +6,12 @@
# license that can be found in the LICENSE file.
# Run a simple chat server: websocketd --devconsole --port 8080 ./chat.sh
+#
+# Please note that this example requires GNU tail, which is not the default
+# tail on OS X. Even though this script properly escapes the variables,
+# please kee... | bash |
d_bash_11369 | ---
+++
@@ -16,7 +16,7 @@
done
fi
-cd /tmp/release/
+cd /tmp/release/ || { echo "Failure"; exit 1; }
for f in *; do
sha256sum $f > $f.SHA256
done | bash |
d_bash_11370 | ---
+++
@@ -22,9 +22,26 @@
HOMEBREW_PREFIX="$(brew --prefix)"
- # Make OS X use the bash version installed through homebrew
- [ -z "$(cat /etc/shells | grep "$HOMEBREW_PREFIX")" ] \
- && sudo sh -c 'printf "$HOMEBREW_PREFIX/bin/bash" >> /etc/shells'
+
+ # Add the path of the bash version inst... | bash |
d_bash_11371 | ---
+++
@@ -21,3 +21,5 @@
basename=$(basename $i)
cp $i $output/${basename/SNAPSHOT/$timestamp}
done
+
+ls -la $output | bash |
d_bash_11372 | ---
+++
@@ -6,3 +6,11 @@
docker-machine start $@ && eval "$(docker-machine env $@)"
echo "Active machine: ${DOCKER_MACHINE_NAME}"
}
+
+function dcm-stop {
+ if [[ $1 ]]; then
+ docker-machine stop $1
+ else
+ docker-machine stop ${DOCKER_MACHINE_NAME}
+ fi
+} | bash |
d_bash_11373 | ---
+++
@@ -10,16 +10,21 @@
if [ "$TRAVIS_REPO_SLUG" == "alphagov/govuk_prototype_kit" ] && [ "$TRAVIS_PULL_REQUEST" == "false" ] && [ "$TRAVIS_BRANCH" == "master" ]; then
# get the version from the version file
VERSION_TAG="$(cat VERSION.txt)"
- echo "Using the most recent tag: $VERSION_TAG and creating a la... | bash |
d_bash_11374 | ---
+++
@@ -16,7 +16,7 @@
changes=$(git diff HEAD..FETCH_HEAD)
if [ "$changes" != "" ] ; then
echo 'YOUR DOTFILES ARE OUT OF DATE';
- git pull
+ git pull --quiet
fi
}
| bash |
d_bash_11375 | ---
+++
@@ -37,3 +37,11 @@
nix-store --check-validity $outPath
nix-store -qR $outPath | grep input-2
+
+# Test whether building works if the binary cache contains an
+# incomplete closure.
+clearStore
+
+rm $(grep -l "StorePath:.*dependencies-input-2" $cacheDir/*.narinfo)
+
+nix-build --option binary-caches "file... | bash |
d_bash_11376 | ---
+++
@@ -3,6 +3,21 @@
package string
FileUtil(){
+ construct(){
+ directories=($(StringUtil replace ${1} [/] space))
+
+ for directory in ${directories[@]}; do
+ dir=${dir}/${directory}
+
+ if [ ! -e ${dir} ]; then
+ mkdir ${dir}
+ cd ${dir}
+ else
+ cd ${dir}
+ fi
+ done
+ }
+
getContent... | bash |
d_bash_11377 | ---
+++
@@ -2,5 +2,8 @@
set -e
-npm cache clear
-npm install -g buster sinon@1.6.0 autolint || (sleep 5 && npm install -g buster sinon@1.6.0 autolint)
+function setup () {
+ npm install -g npm && npm install -g buster sinon@1.6.0 autolint
+}
+
+setup || (sleep 5 && setup) | bash |
d_bash_11378 | ---
+++
@@ -13,3 +13,6 @@
make
make check
make install
+
+mv $PREFIX/sbin/* $PREFIX/bin/
+rmdir $PREFIX/sbin | bash |
d_bash_11379 | ---
+++
@@ -22,3 +22,18 @@
export PATH="$PATH:$GOPATH/bin"
dep ensure
make bins
+
+
+# Install node dependencies
+apt-get install -y build-essential curl locales software-properties-common
+apt-get install -y gcc g++ make
+
+# Install node
+curl -sL https://deb.nodesource.com/setup_11.x | bash -
+apt-get update
+a... | bash |
d_bash_11380 | ---
+++
@@ -4,7 +4,7 @@
INSTALL_DIR=/opt
echo "Compilation ..."
-./build-pi-new.sh
+./build-pi.sh
echo "Déploiement Applicatif ..."
scp ./build-pi/bin/rplidar_bridge $ROBOT_NAME:$INSTALL_DIR/ | bash |
d_bash_11381 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
-export VERSION="2.1.0.Final"
+export VERSION="2.4.0.Final"
export KEYCLOAK="keycloak-${VERSION}" | bash |
d_bash_11382 | ---
+++
@@ -15,12 +15,28 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-# set EAGLE_HOME
+# EAGLE Environment Variables
export EAGLE_HOME=$(dirname $0)/..
-
export EAGLE_CLASSPATH=$EAGLE_HOME/conf
+# System Environment Variables
+export OS_TYPE="linu... | bash |
d_bash_11383 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-BINS='grunt bower uglify'
+BINS='grunt bower uglifyjs'
PROJECT_ROOT=$(cd "`dirname $0`/.."; pwd)
link () { | bash |
d_bash_11384 | ---
+++
@@ -8,12 +8,12 @@
if [ $value == "Linux" ]
then
echo "Initializing TensorFlow setup on a Linux machine..."
- export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow-1.0.0-cp34-cp34m-linux_x86_64.whl
+ export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/linux/cpu/t... | bash |
d_bash_11385 | ---
+++
@@ -3,7 +3,6 @@
ADD . /home/opam/cervoise
WORKDIR /home/opam/cervoise
RUN opam switch $OCAML_VERSION
-RUN eval \$(opam env)
# Install Ubuntu packages
RUN echo "deb http://llvm.org/apt/unstable/ llvm-toolchain-$LLVM_VERSION main" | sudo tee -a /etc/apt/sources.list
@@ -22,6 +21,6 @@
RUN opam depext -y ... | bash |
d_bash_11386 | ---
+++
@@ -10,6 +10,11 @@
echo
}
+install_bash_it() {
+ git clone --depth=1 https://github.com/Bash-it/bash-it.git ~/.bash_it
+ ~/.bash_it/install.sh
+}
+
install_ansible() {
log "Installing/upgrading Homebrew"
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
@... | bash |
d_bash_11387 | ---
+++
@@ -14,7 +14,7 @@
# If static files don't exist collect them
cd ${PROJECT_ROOT}
-python manage.py collectstatic --noinput
+python manage.py collectstatic --noinput --settings=pinry.settings.docker
# If database doesn't exist yet create it
if [ ! -f /data/production.db ] | bash |
d_bash_11388 | ---
+++
@@ -1,18 +1,21 @@
-# maxmind goeiplite
+# maxmind geoiplite
add-apt-repository -y ppa:maxmind/ppa && apt-get update
apt-get install -y build-essential autoconf libgeoip-dev libncursesw5-dev
wget -N -q http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz
-gunzip GeoLiteCity.dat.gz && mv Geo... | bash |
d_bash_11389 | ---
+++
@@ -9,6 +9,9 @@
if [ "$TRAVIS_OS_NAME" == "osx" ]; then
# update first to install required ruby dependency
travis_retry brew update
+ travis_retry brew reinstall git -- --with-pcre2 # for --perl-regexp
+ travis_retry brew install grep # gnu grep for --perl-regexp support
+ PATH="$(brew --prefix gre... | bash |
d_bash_11390 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/bash
-find $OPENSHIFT_DATA_DIR -type d -mtime +20 -exec rm -rf "{}" \; 2>&1| tee $OPENSHIFT_DATA_DIR/clean.log
+find $OPENSHIFT_DATA_DIR -type d -mtime +14 -exec rm -rf "{}" \; 2>&1| tee $OPENSHIFT_DATA_DIR/clean.log | bash |
d_bash_11391 | ---
+++
@@ -7,18 +7,20 @@
set -e
# Locate *this* file
-echo "Discovering Docker Environment"
+echo "Discovering Environment"
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# change to this directory
cd $DIR
-cd ../docs
+cd ..
# build the docs
npm run doc
# tar the docs
-tar cvfz ${TEMP_PATH}$... | bash |
d_bash_11392 | ---
+++
@@ -2,5 +2,5 @@
# see ../docs/VirusDetect-compile.bash
-curl -L http://$NIC_MIRROR/pub/sci/molbio/chipster/dist/tools_extras/virusdetect/bioperl_ubuntu-12.04.tar.gz | tar -xz -C ${TOOLS_PATH}/
-curl -L http://$NIC_MIRROR/pub/sci/molbio/chipster/dist/tools_extras/virusdetect/virusdetect_ubuntu-12.04.tar.g... | bash |
d_bash_11393 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env sh
# This script should be sourced in the context of your shell like so:
-# source $HOME/.homeshick/repos/.homeshick/homeshick.sh
+# source $HOME/.homesick/repos/.homeshick/homeshick.sh
# Once the homeshick() function is defined, you can type
# "homeshick cd CASTLE" to enter... | bash |
d_bash_11394 | ---
+++
@@ -23,3 +23,14 @@
fi
echo "gobin is: $GOBIN"
+
+# add gobin to $PATH
+if ! env | grep '^PATH=' | grep -q "$GOBIN"; then
+ if ! grep -q '^export PATH="'"${GOBIN}:${PATH}"'"' ~/.bashrc; then
+ echo 'export PATH="'"${GOBIN}"':'"${PATH}"'"' >> ~/.bashrc
+ fi
+ export PATH="${PATH}" # basically useles... | bash |
d_bash_11395 | ---
+++
@@ -14,10 +14,17 @@
globus ls 'ddb59aef-6d04-11e5-ba46-22000b92c6ec' --map-http-status "400=0"
# transfer batchmode dry-run
-echo -e "abc /def\n/xyz p/q/r" | \
+submission_doc=$(
globus transfer --batch --dry-run \
--submission-id '89330878-9ffe-11e6-b61b-8c705ad34f60' \
'ddb59aef-6... | bash |
d_bash_11396 | ---
+++
@@ -5,33 +5,9 @@
# requires sudo privileges to work and it should already be scaffolded using
# bin/scaffold.sh
-# Clone repository
-git clone "$GIT_REPOSITORY"
-sudo mkdir -p /var/www
-rm -rf /var/www/$PROJECT_NAME
-sudo mv "$PROJECT_NAME" /var/www/$PROJECT_NAME
-cd /var/www/$PROJECT_NAME || exit 1
-ln -... | bash |
d_bash_11397 | ---
+++
@@ -8,6 +8,6 @@
&& sudo a2enmod rewrite actions fastcgi alias \
&& echo "cgi.fix_pathinfo = 1" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini \
&& ~/.phpenv/versions/$(phpenv version-name)/sbin/php-fpm \
-&& sudo cp -f build/travis/vhost-apache /etc/apache2/sites-available/default \
+&& sudo cp -... | bash |
d_bash_11398 | ---
+++
@@ -2,7 +2,7 @@
directory="csmith"
csmith_home="$1"
-csmith_options="--no-packed-struct"
+csmith_options="--no-packed-struct --float"
if [[ -z "$csmith_home" ]]
then
echo "Usage: $0 <csmith home path>" | bash |
d_bash_11399 | ---
+++
@@ -6,6 +6,7 @@
cd "$(dirname "$0")"
CONFIGURATION="${1:-"Release"}"
+PATH="$(cd ../../node_modules/.bin && pwd):$PATH"
if [ -s "${HOME}/.nvm/nvm.sh" ]; then
. "${HOME}/.nvm/nvm.sh" | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.